summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAric Gardner <agardner@linuxfoundation.org>2015-07-09 16:15:01 +0000
committerGerrit Code Review <gerrit@172.30.200.206>2015-07-09 16:15:01 +0000
commit59487d0f870a4846a9bd67ef38752eacf9b232f8 (patch)
tree52c5f96172800b7911bf85c7916913b125913d85
parent3c31d5f82fc07b7cfbc0681bced1fc619b6e29fa (diff)
parent556536cdbfcca74f7556a050c5399ae71e580f7a (diff)
Merge "Ensure that only ASCII characters make it into the jobs JIRA:OCTO-105"
-rw-r--r--jjb/releng-jobs.yaml5
-rwxr-xr-xjjb/verify-releng17
2 files changed, 19 insertions, 3 deletions
diff --git a/jjb/releng-jobs.yaml b/jjb/releng-jobs.yaml
index 19c6bab4f..3d526786b 100644
--- a/jjb/releng-jobs.yaml
+++ b/jjb/releng-jobs.yaml
@@ -60,9 +60,8 @@
builders:
- - shell: |
- source /opt/virtualenv/jenkins-job-builder/bin/activate
- jenkins-jobs test jjb/
+ - shell:
+ !include-raw verify-releng
- job-template:
name: 'builder-merge'
diff --git a/jjb/verify-releng b/jjb/verify-releng
new file mode 100755
index 000000000..6e980e79b
--- /dev/null
+++ b/jjb/verify-releng
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+source /opt/virtualenv/jenkins-job-builder/bin/activate
+jenkins-jobs test jjb/
+
+
+#test for non-ascii characters, these can pass the test and end up breaking things in production
+for x in $(find . -name *\.yml); do
+
+ if LC_ALL=C grep -q '[^[:print:][:space:]]' "$x"; then
+ echo "file "$x" contains non-ascii characters"
+ exit 1
+ fi
+
+done
+
+echo "all .yml files are ASCII only"